package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.PortGroupModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: PortGroupProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/10/26 14:06
 */
public interface PortGroupProvider extends SuperProvider {

    default BocloudResult listBySwitcher(String uuid) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(PortGroupModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(String uuid) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(PortGroupModel model) {
        return new BocloudResult(false, "need implement");
    }

}